body {
    text-align: center;
    font-family: "ObelixPro", serif;
}

@font-face {
    font-family: "ObelixPro";
    src: url('../fonts/ObelixPro-cyr.ttf');
}

@font-face {
    font-family: "McLaren";
    src: url('../fonts/McLaren-Regular.ttf');
}

h1 {
    font-size: 60px !important;
    margin-top: 3rem !important;
    text-align: center !important;
    font-family: "ObelixPro" !important;
}

p {
    font-family: "McLaren";
    font-size: 20px;

}

h2 {
    font-family: "McLaren" !important;
    font-size: 20px;

}

a {
    text-decoration: none;
}

a:hover {
    text-decoration: none;
}

.title {
    margin: auto;
    margin-bottom: 3%;
}

.back-title {
    display: flex
}

.title_size {
    font-size: 14px;
}

.flex-center {
    flex-wrap: wrap;
    display: flex;
    width: 100%;
    justify-content: center;
}

.padding_card {
    margin-top: 10px;
    margin-left: 10px;
    margin-right: 10px;
    margin-bottom: 65px;
}

.card-text {
    font-size: 18px;
}

.no-border {
    border: 0px !important;
}

.image-container {
    width: 100%;
    max-height: 52rem;
    border: 2px solid black;
    border-radius: 5px;
}

.regles {
    margin: auto;
    width: 800px;
}

.mentions {
    color: grey;
    font-size: 8px;
    position: absolute;
    bottom: 0;
    right: 0;
    margin: 5px;
}


.button-group {
    max-width: 600px;
    display: flex;
    justify-content: space-between;
    margin: auto;
    margin-bottom: 5rem;
}

button {
    background-color: white;
    border: 1px solid black;
    border-radius: 9px;
    color: black;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
}

button:hover {
    cursor: pointer;
    background-color: black;
    color: white;
}

.btn_start:hover {
    background-color: #fff;
}

.btn-circle {
    color: #fff;
    background-color: red !important;
    border-color: red !important;
    margin: 2rem;
    width: 30px;
    height: 30px;
    text-align: center;
    padding: 6px 0;
    font-size: 12px;
    line-height: 1.428571429;
    border-radius: 15px;
}

.btn-circle.btn-lg {
    width: 50px;
    height: 50px;
    padding: 10px 16px;
    font-size: 18px;
    line-height: 1.33;
    border-radius: 25px;
}

.btn-circle.btn-xl {
    width: 70px;
    height: 70px;
    padding: 10px 16px;
    font-size: 24px;
    line-height: 1.33;
    border-radius: 35px;
}

.bouton_cercle {
    margin-bottom: -70px;
    margin-left: auto;
    margin-right: auto;
    display: block;
    transition: transform .2s;
}

.bouton_cercle:hover {
    transform: scale(1.5);
}

.btn-hidden {
    visibility: hidden;
}

.modal {
    display: none;
    /* Hidden by default */
    position: fixed;
    /* Stay in place */
    z-index: 1;
    /* Sit on top */
    padding-top: 100px;
    /* Location of the box */
    left: 0;
    top: 0;
    width: 100%;
    /* Full width */
    height: 100%;
    /* Full height */
    overflow: auto;
    /* Enable scroll if needed */
    background-color: rgb(0, 0, 0);
    /* Fallback color */
    background-color: rgba(0, 0, 0, 0.4);
    /* Black w/ opacity */
}

/* Modal Content */
.modal-content {
    background-color: #fefefe;
    margin: auto;
    padding: 20px;
    border: 1px solid black;
    border-radius: 5px;
    width: 60%;
}

.close_level {
    margin-top: 5px;
    position: absolute;
}

.close_level_div {
    margin-right: 3rem;
    text-align: right;
}

.back_level {
    background-color: white;
    border-radius: 50px;
}

/* The Close Button */
.close {
    color: #aaaaaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}

.fixed {
    position: fixed;
}

.closeAbout {
    color: #aaaaaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.closeAbout:hover,
.closeAbout:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}

.titre_modal {
    font-size: 35px;
    font-family: "ObelixPro";
}

.fixed_level {
    position: absolute;
    margin-top: -30px;
}

.font_title {
    font-family: "McLaren";
    font-size: 14px;
}

.clickable {
    cursor: pointer;
}

.charlieFind-img {
    margin-bottom: 1rem;
    margin-left: 3rem;
    border: 2px solid black;
    border-radius: 3px;
}

.success-group {
    max-width: 500px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin: auto;
}


html,
css {
    width: 100%;
    height: 100%;
}

.position {
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    margin-top: 15%;
}

#workarea {
    position: absolute;
    width: 100%;
    height: 100%;
    font-family: "McLaren" !important;
}

#personal {
    color: red;
    text-decoration: none;
    position: absolute;
    bottom: 15px;
    right: 2%;
}

/*    start code for the actual button:         */


/*   
      Spot is the span on the inside of the href that
      fills the parent and makes the hover and link work
      for the entire div
  */

.spot {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}

/*
      This is the outer svg wrapper that the SVG itself will 
      fill. Multiple svg-wrapper classes can be put side by side.
  */

.svg-wrapper {
    margin-top: 0;
    position: relative;
    width: 150px;
    /*make sure to use same height/width as in the html*/
    height: 40px;
    display: inline-block;
    border-radius: 5px;
    margin-left: 5px;
    margin-right: 5px
}

/*
    This is where we define the fill, color, thickness,
    and stroke pattern of the SVG when there is no hover.
    The dasharray and offset together define the line position
    under the words. Here's also where the transition speed is set.
  */

#shape {
    stroke-width: 6px;
    fill: transparent;
    stroke: #EE2526;
    stroke-dasharray: 85 400;
    stroke-dashoffset: -220;
    transition: 1s all ease;
}

/* 
      Pushing the text up into the SVG. Without this the
      text would be below the div's.
  */

#text {
    margin-top: -35px;
    text-align: center;
}

#text a {
    color: #EE2526;
    text-decoration: none;
    font-weight: 100;
    font-size: 1.1em;
}

/* 
      Changing the shape on hover. I change the color of the stroke,
  make it thinner, then set it to again wrap around the entire parent element.
  */

.svg-wrapper:hover #shape {
    stroke-dasharray: 50 0;
    stroke-width: 3px;
    stroke-dashoffset: 0;
    stroke: #EE2526;
}

.flex {
    display: flex;
    justify-content: center;
}

.image-blur {
    filter: blur(7px);
}

#errorMessage {
    color: #EE2526;
}

.loader {
    display: inline-block;
    border: 5px solid #f3f3f3;
    -webkit-animation: spin 1s linear infinite;
    animation: spin 1s linear infinite;
    border-top: 5px solid #555;
    border-radius: 50%;
    width: 25px;
    height: 25px;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}